### Method

# Gdk.Display.map_keyval

#### Declaration [src]

    gboolean
    gdk_display_map_keyval (
      GdkDisplay* display,
      guint keyval,
      GdkKeymapKey** keys,
      int* n_keys
    )

#### Description [src]

Obtains a list of keycode/group/level combinations that will generate `keyval`.

Groups and levels are two kinds of keyboard mode; in general, the level determines whether the top or bottom symbol on a key is used, and the group determines whether the left or right symbol is used.

On US keyboards, the shift key changes the keyboard level, and there are no groups. A group switch key might convert a keyboard between Hebrew to English modes, for example.

`GdkEventKey` contains a %group field that indicates the active keyboard group. The level is computed from the modifier mask.

The returned array should be freed with `g_free()`.

#### Parameters

`keyval` | `guint`
| a keyval, such as %GDK_KEY_a, %GDK_KEY_Up, %GDK_KEY_Return, etc.
`keys` | An array of `GdkKeymapKey`
| return location for an array of `GdkKeymapKey`
| Direction: out
| The length of the array is in the `n_keys` argument
| Ownership of the data is transferred to the callee
`n_keys` | `int*`
| return location for number of elements in returned array
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if keys were found and returned